Subject: Re: linux-next: build failure after merge of the akpm tree

From: Cong Wang <[email-masked]>
Date: Mon, 04 Jul 2011 09:30:40 +0800

于 2011年07月01日 18:37, Stephen Rothwell 写道:
> Hi,
>
> On Fri, 01 Jul 2011 18:10:30 +0800 Cong Wang<[email-masked]>  wrote:
>>
>> 于 2011年07月01日 15:08, Stephen Rothwell 写道:
>>>
>>> On Fri, 01 Jul 2011 13:32:04 +0800 Cong Wang<[email-masked]>   wrote:
>>>>
>>>> 于 2011年07月01日 13:19, Stephen Rothwell 写道:
>>>>>
>>>>> After merging the akpm tree, today's linux-next build (powerpc
>>>>> ppc64_defconfig) failed like this:
>>>>>
>>>>> arch/powerpc/kernel/rtas.c: In function 'rtas_restart':
>>>>> arch/powerpc/kernel/rtas.c:655:24: error: 'SYS_RESTART' undeclared (first use in this function)
>>>>> arch/powerpc/kernel/rtas.c: In function 'rtas_power_off':
>>>>> arch/powerpc/kernel/rtas.c:664:24: error: 'SYS_POWER_OFF' undeclared (first use in this function)
>>>>> arch/powerpc/kernel/rtas.c: In function 'rtas_halt':
>>>>> arch/powerpc/kernel/rtas.c:674:24: error: 'SYS_HALT' undeclared (first use in this function)
>>>>>
>>>>> Caused by commit ac050ff2a176 ("It is not necessary to share the same
>>>>> notifier.h").
>>>>
>>>> I think the following patch will fix this.
>>>
>>> Please find all the other files that need that include as well (there is
>>> at least one more).
>>>
>>
>> Ok, I will do a cross-compilation.
>
> Well, really any file that references any of those defines should be
> including linux/reboot.h, now - whether a compilation gets errors or
> not.  A change in CONFIG options or different platforms/architectures can
> change what file get implictly included.
>
> See Rule 1 in Documentation/SubmitChecklist.

Yeah, I did allyesconfig test on x86. Fortunately there are few
files that needs to be fixed since they include reboot.h implicitly.

Thanks.